[Mongrel] Mongrel install crash on win32

Luis Lavena luislavena at gmail.com
Tue Nov 27 07:38:39 EST 2007


On Nov 27, 2007 9:34 AM, Jesper Rønn-jensen <lists at ruby-forum.com> wrote:
> Something suddenly went wrong in my ruby install.
>
> When installing Mongrel on my Windows XP laptop, it incorrectly tries to
> build it as a native extension. I don't even get the selection where I
> can choose to install a compiled version.
>
> I would appreciate any help/links or similar, as I frankly don't
> understand what's going on and why I dont get the usual selection box.
>

Two things:

What version of RubyGems are you using? 0.9.5 shows some problems with
mswin32 platform.

It seems this is the problem, since there is a native build of
fastthread for mswin32 (even that mongrel-mswin32 don't require it).

I suggest you revert to 0.9.4 until this issue get solved. Eric Hodel
is working on it.

-- 
Luis Lavena
Multimedia systems
-
Leaders are made, they are not born. They are made by hard effort,
which is the price which all of us must pay to achieve any goal that
is worthwhile.
Vince Lombardi


More information about the Mongrel-users mailing list